# SectionRealRestrict

Restricts the SectionReal to a subset of the topology, returning an array of values.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode PETSCDM_DLLEXPORT SectionRealRestrict(SectionReal section, PetscInt point, PetscScalar *values[])

Not collective

### Input Parameters

| section | - the section object
| point | - the Sieve point

### Output Parameter

values -The values associated with the submesh

### See Also

SectionUpdate(), SectionCreate(), SectionView()

Level:advanced
Location: src/dm/mesh/section.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages